Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
04157 Graphics Minor Always Dec 28, 2010, 17:10 Dec 31, 2013, 06:23
Tester AWJ View Status Public Platform MAME (Official Binary)
Assigned To AWJ Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver seattle.cpp
Version 0.140u3 Fixed in Version 0.153 Build 64-bit
Summary 04157: calspeed: Incorrect alpha in Mt. Shasta stage on 64-bit build
Description Reported on MAMEWorld forums. Trees on Mt. Shasta stage have green boxes around them, as if they are being rendered without their alpha channel. Rendering is correct in 32-bit builds.
Steps To Reproduce
Additional Information
Flags 64-bit specific
Regression Version
Affected Sets / Systems calspeed
Attached Files
png file icon 242073-0002.png (235,598 bytes) Dec 28, 2010, 17:10
png file icon 242069-0000.png (214,978 bytes) Dec 28, 2010, 17:12
Relationships
related to 05404ResolvedAWJ all: Screenshots from 64-bit builds have off-by-1 color errors 
Notes
1
User avatar
No.10105
AWJ
Developer
Dec 30, 2013, 04:34
This bug seems to be caused by the SSE2 versions of the RGB utility functions (in emu/video/rgbsse.h), which are currently only used by 64-bit builds. If I modify emu/video/rgbutil.* to force use of the generic C implementation (emu/video/rgbgen.h), the green boxes go away.